Need help building Boost 1.71 modules

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Need help building Boost 1.71 modules

Boost - Build mailing list
Hi,

I subscribed to these lists which by feeling correspond the closest to
what I need  the, after discovering that Boost HAS a list server.

I run Linux Fedora, GCC, Netbeans 8.2.

I recently upgraded from Boost V1.60 to V1.71. Then discovered  that
Boost does not build  the modules I want (Asio, Xpressive) by default,
and that the build thingy is largely obscure to me.

Looking at the log output of the build  thingy, I see that the modulus
I want do not compile. Using the --with<module> has no apparently has
no effect, or, with Xpressive, outputs an error.

I would be grateful if somebody could answer me some questions:
- Why does Boost not use the classic ./configure/make/make INSTALL
build sequence?  On  top of that, the "jam" tool which Boost uses
appears to be documented incorrectly (I can read  english beyond
school grade).

- Could someone please explain to me how I build exactly ONE
additional module, for example Asio?

- Could somebody please explain to me how I can build the whole
library, module by module,  dependably, to <stage>, if must be?

- Could somebody please explain to me why Boost has decided to NOT
include certain modules in default build process?

- What is a .JAM file for? search sez game and audio software, I think
of marmalade.

Thanks, lastly, for putting up with my frustration.

rd0002
_______________________________________________
Unsubscribe & other changes: https://lists.boost.org/mailman/listinfo.cgi/boost-build
Reply | Threaded
Open this post in threaded view
|

Re: Need help building Boost 1.71 modules

Boost - Build mailing list
On 10/26/2019 10:31 AM, ERR ORR via Boost-build wrote:

> Hi,
>
> I subscribed to these lists which by feeling correspond the closest to
> what I need  the, after discovering that Boost HAS a list server.
>
> I run Linux Fedora, GCC, Netbeans 8.2.
>
> I recently upgraded from Boost V1.60 to V1.71. Then discovered  that
> Boost does not build  the modules I want (Asio, Xpressive) by default,
> and that the build thingy is largely obscure to me.
>
> Looking at the log output of the build  thingy, I see that the modulus
> I want do not compile. Using the --with<module> has no apparently has
> no effect, or, with Xpressive, outputs an error.
>
> I would be grateful if somebody could answer me some questions:
> - Why does Boost not use the classic ./configure/make/make INSTALL
> build sequence?

Boost libraries do not run only on Linux.

_______________________________________________
Unsubscribe & other changes: https://lists.boost.org/mailman/listinfo.cgi/boost-build